<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<AssignMessage async="false" continueOnError="false" enabled="true" name="amBuildRequestExample">
    <Properties/>
    <Set>
        <Headers>
            <Header name="X-API-Key">${aws_api_key}</Header>
            <Header name="Cookie">{request.header.Cookie}</Header>
            <Header name="CSRFChallengeToken">{accesstoken.csrf}</Header>
            <Header name="AwsAccessToken">{accesstoken.aws_access_token}</Header>
            <!-- <Header name="a">{accesstoken.cif}</Header>
            <Header name="b">{accesstoken.scivantageid}</Header>
            <Header name="c">{accesstoken.cupid}</Header>
            <Header name="d">{accesstoken.guid}</Header>
            <Header name="g">{accesstoken.invest_token}</Header>
            <Header name="h">{accesstoken.auto_session}</Header> -->
            <Header name="Authorization">Bearer {accesstoken.dapi}</Header> <!-- or accesstoken.aws_auth_token -->
            <Header name="ApplicationId">{accesstoken.application_id}</Header>
            <Header name="ApplicationName">{accesstoken.application_name}</Header>
            <Header name="ApplicationVersion">{accesstoken.application_version}</Header>
            <Header name="Channel">{accesstoken.channel}</Header>
        </Headers>
        <!--TODO: BUILD HEADERS/PAYLOAD CORRECTLY-->
        <!--<QueryParams>-->
        <!--    <QueryParam name="aid">{app_id}</QueryParam>-->
        <!--</QueryParams>-->
        <!--<Payload contentType="application/json">{payload}</Payload>-->
    </Set>
    <!--<Remove>-->
    <!--    <Headers>-->
    <!--        <Header name="Content-Length"/>-->
    <!--    </Headers>-->
    <!--</Remove>-->
    <AssignVariable>
        <Name>target.copy.pathsuffix</Name>
        <Value>false</Value>
    </AssignVariable>
    <IgnoreUnresolvedVariables>true</IgnoreUnresolvedVariables>
    <AssignTo createNew="false" transport="http" type="request"/>
</AssignMessage>
